<!--

    Copyright (C) 2015 The Gravitee team (http://gravitee.io)

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

-->
<mat-card class="api-creation-v4__step">
  <div class="api-creation-v4__step__header">
    <div class="api-creation-v4__step__header__subtitle">Review your API configuration</div>
    <p class="api-creation-v4__step__header__paragraph-light">Review your API before publishing</p>
  </div>
  <div class="step-6-summary__body">
    <!--    Step 1 -->
    <div id="step-1" class="step-6-summary__step">
      <div class="mat-h3">API details</div>
      <div class="step-6-summary__step__body">
        <div class="step-6-summary__step__info">
          <div class="step-6-summary__step__info__row">
            <span class="step-6-summary__step__info__key">API name:</span>
            <span class="step-6-summary__step__info__value">{{ currentStepPayload.name }}</span>
          </div>
          <div class="step-6-summary__step__info__row">
            <span class="step-6-summary__step__info__key">Version:</span>
            <span class="step-6-summary__step__info__value">{{ currentStepPayload.version }}</span>
          </div>
          <div class="step-6-summary__step__info__row" *ngIf="currentStepPayload.description">
            <span class="step-6-summary__step__info__key">Description:</span>
            <span class="step-6-summary__step__info__value">
              {{ currentStepPayload.description }}
            </span>
          </div>
        </div>
        <div>
          <button mat-stroked-button (click)="onChangeStepInfo('API details')">Change</button>
        </div>
      </div>
    </div>
    <!--    Step 2 -->
    <div id="step-2" class="step-6-summary__step">
      <div class="mat-h3">Entrypoints</div>
      <div class="step-6-summary__step__body">
        <div class="step-6-summary__step__info">
          <div class="step-6-summary__step__info__row">
            <span class="step-6-summary__step__info__key">Path:</span>
            <span class="step-6-summary__step__info__value">/my-new-api</span>
          </div>
          <div class="step-6-summary__step__info__row">
            <span class="step-6-summary__step__info__key">Type:</span>
            <span class="gio-badge-accent">Subscription</span>
          </div>
          <div class="step-6-summary__step__info__row">
            <span class="step-6-summary__step__info__key">Entrypoints:</span>
            <div class="step-6-summary__badge-list">
              <ng-container *ngFor="let entrypoint of currentStepPayload.selectedEntrypoints">
                <span class="gio-badge-accent"
                  ><mat-icon class="api-creation-v4__icon" [svgIcon]="entrypoint.icon"></mat-icon> {{ entrypoint.name }}</span
                >
              </ng-container>
            </div>
          </div>
        </div>
        <div>
          <button mat-stroked-button (click)="onChangeStepInfo('Entrypoints')">Change</button>
        </div>
      </div>
    </div>
    <!--    Step 3 -->
    <div id="step-3" class="step-6-summary__step">
      <div class="mat-h3">Endpoints</div>
      <div class="step-6-summary__step__body">
        <div class="step-6-summary__step__info">
          <div class="step-6-summary__step__info__row">
            <span class="step-6-summary__step__info__key">Field</span>
            <span class="step-6-summary__step__info__value">Value</span>
          </div>
          <div class="step-6-summary__step__info__row">
            <span class="step-6-summary__step__info__key">Endpoints:</span>
            <div class="step-6-summary__badge-list">
              <ng-container *ngFor="let endpoint of currentStepPayload.selectedEndpoints">
                <span class="gio-badge-accent"
                  ><mat-icon class="api-creation-v4__icon" [svgIcon]="endpoint.icon"></mat-icon> {{ endpoint.name }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
        <div>
          <button mat-stroked-button (click)="onChangeStepInfo('Endpoints')">Change</button>
        </div>
      </div>
    </div>
    <!--    Step 4 -->
    <div id="step-4" class="step-6-summary__step">
      <div class="mat-h3">Security</div>
      <div class="step-6-summary__step__body">
        <div class="step-6-summary__step__info">🚧🚧🚧</div>
        <div>
          <button mat-stroked-button (click)="onChangeStepInfo('Security')">Change</button>
        </div>
      </div>
    </div>
    <!--    Step 5 -->
    <div id="step-5" class="step-6-summary__step">
      <div class="mat-h3 step-6-summary__step__title">Documentation</div>
      <div class="step-6-summary__step__body">
        <div class="step-6-summary__step__info">
          <div class="step-6-summary__step__info__row">
            <span class="step-6-summary__step__info__key">Files:</span>
            <span class="step-6-summary__step__info__value">None</span>
          </div>
        </div>
        <div>
          <button mat-stroked-button (click)="onChangeStepInfo('Documentation')">Change</button>
        </div>
      </div>
    </div>
  </div>
  <div class="step-6-summary__footer">
    <div class="step-6-summary__footer__actions">
      <button mat-stroked-button type="button" (click)="createApi(false)">
        Create my API<mat-icon
          svgIcon="gio:info"
          class="step-6-summary__footer__button-icon"
          matTooltip="Your API can't be consumed"
        ></mat-icon>
      </button>
      <button color="primary" mat-flat-button type="button" (click)="createApi(true)">
        Deploy my API<mat-icon
          svgIcon="gio:info"
          class="step-6-summary__footer__button-icon"
          matTooltip="Your API can be consumed"
        ></mat-icon>
      </button>
    </div>
    <span class="step-6-summary__footer__message">Your API will be saved and remain private</span>
  </div>
</mat-card>
